<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.206
Name: Dimensione linfonodi esaminati
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450">
   <title>Dimensione linfonodi esaminati</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.206
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]
Item: (dimensLinfonodiExam)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]"
         id="d42e5630-false-d116832e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]) &gt;= 1">(dimensLinfonodiExam): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]) &lt;= 1">(dimensLinfonodiExam): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.206
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]
Item: (dimensLinfonodiExam)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]"
         id="d42e5648-false-d116849e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(dimensLinfonodiExam): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="string(@moodCode) = ('EVN')">(dimensLinfonodiExam): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']) &gt;= 1">(dimensLinfonodiExam): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']) &lt;= 1">(dimensLinfonodiExam): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:code) &gt;= 1">(dimensLinfonodiExam): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:code) &lt;= 1">(dimensLinfonodiExam): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:text) &lt;= 1">(dimensLinfonodiExam): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(dimensLinfonodiExam): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:effectiveTime) &lt;= 1">(dimensLinfonodiExam): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:value) &gt;= 1">(dimensLinfonodiExam): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="count(hl7:value) &lt;= 1">(dimensLinfonodiExam): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.206
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']
Item: (dimensLinfonodiExam)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']"
         id="d42e5660-false-d116916e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.206')">(dimensLinfonodiExam): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.206'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.206
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]/hl7:id
Item: (dimensLinfonodiExam)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.206
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]/hl7:code
Item: (dimensLinfonodiExam)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.206
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]/hl7:text
Item: (dimensLinfonodiExam)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.206
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (dimensLinfonodiExam)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e5672-false-d116954e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(dimensLinfonodiExam): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.10 X_ActStatusActiveSuspendedAbortedCompleted (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.206
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]/hl7:effectiveTime
Item: (dimensLinfonodiExam)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.206
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.206']]/hl7:value
Item: (dimensLinfonodiExam)
-->
</pattern>
