<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.214
Name: Dimensione linfonodi
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442">
   <title>Dimensione linfonodi</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.214
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]
Item: (dimLinfInteress_sentinella)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]"
         id="d42e5937-false-d120166e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]) &gt;= 1">(dimLinfInteress_sentinella): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]) &lt;= 1">(dimLinfInteress_sentinella): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.214
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]
Item: (dimLinfInteress_sentinella)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]"
         id="d42e5955-false-d120183e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(dimLinfInteress_sentinella): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="string(@moodCode) = ('EVN')">(dimLinfInteress_sentinella): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']) &gt;= 1">(dimLinfInteress_sentinella): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']) &lt;= 1">(dimLinfInteress_sentinella): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:code) &gt;= 1">(dimLinfInteress_sentinella): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:code) &lt;= 1">(dimLinfInteress_sentinella): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:derivationExpr) &lt;= 1">(dimLinfInteress_sentinella): element hl7:derivationExpr appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:text) &lt;= 1">(dimLinfInteress_sentinella): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(dimLinfInteress_sentinella): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:effectiveTime) &lt;= 1">(dimLinfInteress_sentinella): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:value) &gt;= 1">(dimLinfInteress_sentinella): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="count(hl7:value) &lt;= 1">(dimLinfInteress_sentinella): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.214
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']
Item: (dimLinfInteress_sentinella)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']"
         id="d42e5961-false-d120256e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.214')">(dimLinfInteress_sentinella): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.214'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.214
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]/hl7:id
Item: (dimLinfInteress_sentinella)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.214
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]/hl7:code
Item: (dimLinfInteress_sentinella)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.214
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]/hl7:derivationExpr
Item: (dimLinfInteress_sentinella)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.214
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]/hl7:text
Item: (dimLinfInteress_sentinella)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.214
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (dimLinfInteress_sentinella)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e5975-false-d120302e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(dimLinfInteress_sentinella): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.10 X_ActStatusActiveSuspendedAbortedCompleted (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.214
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]/hl7:effectiveTime
Item: (dimLinfInteress_sentinella)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.214
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.214']]/hl7:value
Item: (dimLinfInteress_sentinella)
-->
</pattern>
