<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.253
Name: Dimensione del campione RAP
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556">
   <title>Dimensione del campione RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.253
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]]
Item: (DimensioneCampioneRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]]"
         id="d42e6610-false-d124492e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]) &gt;= 1">(DimensioneCampioneRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]) &lt;= 1">(DimensioneCampioneRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.253
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]
Item: (DimensioneCampioneRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]"
         id="d42e6630-false-d124509e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(DimensioneCampioneRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="string(@moodCode) = ('EVN')">(DimensioneCampioneRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']) &gt;= 1">(DimensioneCampioneRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']) &lt;= 1">(DimensioneCampioneRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="count(hl7:code[(@code = '33723-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(DimensioneCampioneRAP): element hl7:code[(@code = '33723-8' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="count(hl7:code[(@code = '33723-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(DimensioneCampioneRAP): element hl7:code[(@code = '33723-8' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="count(hl7:value) &gt;= 1">(DimensioneCampioneRAP): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="count(hl7:value) &lt;= 1">(DimensioneCampioneRAP): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.253
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']
Item: (DimensioneCampioneRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']"
         id="d42e6642-false-d124552e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.253')">(DimensioneCampioneRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.253'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.253
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]/hl7:code[(@code = '33723-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (DimensioneCampioneRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]/hl7:code[(@code = '33723-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e6647-false-d124564e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="string(@code) = ('33723-8')">(DimensioneCampioneRAP): The value for code SHALL be '33723-8'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(DimensioneCampioneRAP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(DimensioneCampioneRAP): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(DimensioneCampioneRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T124824/tmp-2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(DimensioneCampioneRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.253
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.253']]/hl7:value
Item: (DimensioneCampioneRAP)
-->
</pattern>
